from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.table import XCellRange

@runtime_checkable
class XCellCursor(XCellRange, Protocol):
    def gotoStart(self) -> None: ...
    def gotoEnd(self) -> None: ...
    def gotoNext(self) -> None: ...
    def gotoPrevious(self) -> None: ...
    def gotoOffset(self, nColumnOffset: int, nRowOffset: int) -> None: ...
